Increase compiler-warning level
[hmcfgusb] / debian / preinst.ex
1 #!/bin/sh
2 # preinst script for hmcfgusb
3 #
4 # see: dh_installdeb(1)
5
6 set -e
7
8 # summary of how this script can be called:
9 # * <new-preinst> `install'
10 # * <new-preinst> `install' <old-version>
11 # * <new-preinst> `upgrade' <old-version>
12 # * <old-preinst> `abort-upgrade' <new-version>
13 # for details, see http://www.debian.org/doc/debian-policy/ or
14 # the debian-policy package
15
16
17 case "$1" in
18 install|upgrade)
19 ;;
20
21 abort-upgrade)
22 ;;
23
24 *)
25 echo "preinst called with unknown argument \`$1'" >&2
26 exit 1
27 ;;
28 esac
29
30 # dh_installdeb will replace this with shell code automatically
31 # generated by other debhelper scripts.
32
33 #DEBHELPER#
34
35 exit 0
Impressum, Datenschutz